Name:       ansible-role-dci-podman
Version:    0.0.2
Release:    2%{?dist}
Summary:    Ansible role to setup podman on a system
License:    ASL 2.0
URL:        https://github.com/redhat-cip/ansible-role-dci-podman
Source0:    ansible-role-dci-podman-%{version}.tar.gz
BuildArch:  noarch

%description
Ansible role to setup podman on a system. This includes creating the
appropriate subuid/subgid entries for user mapping. By default podman will
setup a subuid entry for `ansible_user`

%prep
%setup -qc

%build

%install
find defaults -type f -name '*.yml' -exec install -D -v -p -m 644 "{}" "%{buildroot}%{_datadir}/dci/roles/ansible-role-dci-podman/{}" \;
find handlers -type f -name '*.yml' -exec install -D -v -p -m 644 "{}" "%{buildroot}%{_datadir}/dci/roles/ansible-role-dci-podman/{}" \;
find tasks -type f -name '*.yml' -exec install -D -v -p -m 644 "{}" "%{buildroot}%{_datadir}/dci/roles/ansible-role-dci-podman/{}" \;
find vars -type f -name '*.yml' -exec install -D -v -p -m 644 "{}" "%{buildroot}%{_datadir}/dci/roles/ansible-role-dci-podman/{}" \;

%files
%doc README.md
%license LICENSE
%{_datadir}/dci/roles/ansible-role-dci-podman


%changelog
* Mon Jul 12 2021 Jorge A Gallegos <jgallego@redhat.com> - 0.0.2-2
- ansible_user does not exist on localhost (Jorge Gallegos)

* Thu Dec 17 2020 Jorge Gallegos <jgallego@redhat.com> - 0.0.2-1
- Fix package contents

* Tue Nov 17 2020 Jorge Gallegos <jgallego@redhat.com> - 0.0.1-1
- Initial release
